// Generated by CoffeeScript 2.3.1
var doll, uv, v2;

v2 = class v2 {
  constructor(x1, y1) {
    this.x = x1;
    this.y = y1;
  }

  dist(b) {
    return Math.sqrt(Math.pow(b.x - this.x, 2) + Math.pow(b.y - this.y, 2));
  }

};

uv = class uv {
  constructor(a, b1) {
    this.a = a;
    this.b = b1;
    this.vs = [new v2(this.a.x, this.a.y), new v2(this.b.x, this.a.y), new v2(this.b.x, this.b.y), new v2(this.a.x, this.b.y)];
    this.w = this.vs[1].x - this.vs[0].x;
    this.h = this.vs[2].y - this.vs[0].y;
  }

};

doll = class doll {
  setcenter() {
    this.width = this.uv.w * (SIZE.w / innerWidth);
    this.height = this.uv.h * (SIZE.h / innerHeight);
    return this.center = new v2(this.pos.x + this.width * 0.5, this.pos.y + this.height * 0.5);
  }

  constructor(source, side, pos, uv1) {
    this.source = source;
    this.side = side;
    this.pos = pos;
    this.uv = uv1;
    this.name = this.source;
    this.setcenter();
  }

  setpos(x, y) {
    this.pos.x = x;
    this.pos.y = y;
    return this.setcenter();
  }

  is(d) {
    return this.side === d.side && this.name === d.name;
  }

};

//# sourceMappingURL=classes.js.map
